org.apache.tapestry5.internal.services

## Class CoercingPropertyConduitWrapper

- java.lang.Object
- - org.apache.tapestry5.internal.services.CoercingPropertyConduitWrapper

- All Implemented Interfaces:
    AnnotationProvider, PropertyConduit, PropertyConduit2

      public class CoercingPropertyConduitWrapper
      extends Object
      implements PropertyConduit2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoercingPropertyConduitWrapper(PropertyConduit conduit, TypeCoercer coercer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(Object instance)` Reads the property from the instance.
    `<T extends Annotation> T` | `getAnnotation(Class<T> annotationClass)` Searches for the specified annotation, returning the matching annotation instance.
    `Type` | `getPropertyGenericType()` Returns the generic type of the property
    `Class` | `getPropertyType()` Returns the type of the property read or updated by the conduit.
    `void` | `set(Object instance, Object value)` Changes the current value of the property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoercingPropertyConduitWrapper

          public CoercingPropertyConduitWrapper(PropertyConduit conduit,
                                                TypeCoercer coercer)

  - ### Method Detail

    - #### get

          public Object get(Object instance)

      Description copied from interface: `PropertyConduit`
      Reads the property from the instance.
      Specified by:
        `get` in interface `PropertyConduit`
      Parameters:
        `instance` - object containing the property
      Returns:
        the current value of the property

    - #### getAnnotation

          public <T extends Annotation> T getAnnotation(Class<T> annotationClass)

      Description copied from interface: `AnnotationProvider`
      Searches for the specified annotation, returning the matching annotation instance.
      Specified by:
        `getAnnotation` in interface `AnnotationProvider`
      Parameters:
        `annotationClass` - used to select the annotation to return
      Returns:
        the annotation, or null if not found

    - #### getPropertyType

          public Class getPropertyType()

      Description copied from interface: `PropertyConduit`
      Returns the type of the property read or updated by the conduit.
      Specified by:
        `getPropertyType` in interface `PropertyConduit`

    - #### getPropertyGenericType

          public Type getPropertyGenericType()

      Description copied from interface: `PropertyConduit2`
      Returns the generic type of the property
      Specified by:
        `getPropertyGenericType` in interface `PropertyConduit2`
      See Also:
        `Method.getGenericReturnType()`, `Field.getGenericType()`

    - #### set

          public void set(Object instance,
                          Object value)

      Description copied from interface: `PropertyConduit`
      Changes the current value of the property.
      Specified by:
        `set` in interface `PropertyConduit`
      Parameters:
        `instance` - object containing the property
        `value` - to change the property to

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.